<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-live-preview-devices.qdoc -->
  <title>Previewing on Devices | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Previewing on Devices</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-live-preview-desktop.html" />
  <link rel="next" href="qt-design-viewer.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-live-preview-desktop.html">Previewing on Desktop</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qt-design-viewer.html">Previewing in Browsers</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level2"><a href="#previewing-on-embedded-devices">Previewing on Embedded Devices</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Previewing on Devices</h1>
<span class="subtitle"></span>
<!-- $$$creator-live-preview-devices.html-description -->
<div class="descr"> <a name="details"></a>
<p>To preview UIs on embedded devices, you need to connect the devices to your system with a USB cable, or a wired or wireless connection, depending on the device, and configure connections to them. The necessary kits have been predefined and you only need to enable them for your current project.</p>
<p><i>Deploy configurations</i> handle the packaging and copying of the necessary files to a location in a device where you want to run the executable at.</p>
<p>To preview a UI on a device:</p>
<ol class="1" type="1"><li>In <b>Projects</b> &gt; <b>Build &amp; Run</b>, enable the kit predefined for the device type (1).</li>
<li>Select the kit for the device in the kit selector (2).<p class="centerAlign"><img src="images/qtcreator-live-preview-kit.png" alt="" /></p></li>
<li>Select <b>Build</b> &gt; <b>QML Preview</b> or press <b>Alt+P</b>.</li>
</ol>
<a name="previewing-on-embedded-devices"></a>
<h3 id="previewing-on-embedded-devices">Previewing on Embedded Devices</h3>
<p>You can preview UIs on embedded devices that are supported by <a href="http://doc.qt.io/QtForDeviceCreation">Qt for Device Creation</a>. For a list of supported devices, see <a href="https://doc.qt.io/QtForDeviceCreation/qtee-supported-platforms.html#reference-target-devices">Reference Target Devices</a>.</p>
<p>You must configure the device as instructed in the <a href="https://doc.qt.io/QtForDeviceCreation/b2qt-installation-guides.html">Installation Guides</a>.</p>
<p><b>Note: </b>At the time of this writing, <a href="nolink">macOS</a> is not supported as a development host for Qt for Device Creation. This means that you cannot preview UIs on devices if you are using Qt Design Studio on <a href="nolink">macOS</a>. For more information about supported development hosts, see <a href="https://doc.qt.io/QtForDeviceCreation/qtdc-supported-platforms.html">Supported Development Hosts</a>.</p></div>
<!-- @@@creator-live-preview-devices.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-live-preview-desktop.html">Previewing on Desktop</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qt-design-viewer.html">Previewing in Browsers</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
